--                              -*- Mode: Ada -*-
-- Filename        : math-float_32-arrays-io.ads
-- Description     : Instantiations of io package for float_32 arrays
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:20:28 1997
-- Last Modified By:
-- Last Modified On: Tue May 27 10:54:07 1997
-- Update Count    : 10
-- Status          :

with Portable.Standard;
with Math.Float_32.Arrays.Types;
with Math.Generics.Arrays.Io;

package Math.Float_32.Arrays.Io is new Math.Generics.Arrays.Io
       (Element => Portable.Standard.Float_32,
        Index   => Standard.Integer,
        Zero    => 0.0,
        Put     => Math.Float_32.Put,
        Types   => Math.Float_32.Arrays.Types);
