--                              -*- Mode: Ada -*-
-- Filename        : math-float_32-arrays-types.ads
-- Description     : Instantiations of types package for float_32 arrays
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:20:28 1997
-- Last Modified By:
-- Last Modified On: Tue May 27 10:54:07 1997
-- Update Count    : 10
-- Status          :

with Portable.Standard;
with Math.Generics.Arrays.Types;

package Math.Float_32.Arrays.Types is new Math.Generics.Arrays.Types
       (Element => Portable.Standard.Float_32,
        Index   => Standard.Integer,
        Zero    => 0.0);

