--                              -*- Mode: Ada -*-
-- Filename        : Win32_Addons-glu.ads
-- Description     : Declare types and subprograms not in 
--                   original bindings in win32.glu.
-- Author          : J. Schrer
-- Created On      : 26. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 2
-- Status          :

with Win32, Win32.Gl;

package Win32_Addons.Glu is

  Glu_Version    : constant := 100_800;
  Glu_Extensions : constant := 100_801; 
    
  function Glugetstring(Name: Win32.Gl.Glenum) return Win32.Pcbyte;
      
private

  pragma Import(Convention    => Stdcall, 
                Entity        => Glugetstring, 
                External_Name => "gluGetString");
   
end Win32_Addons.Glu;   
