--                              -*- Mode: Ada -*-
-- Filename        : utilities-float_64-utilities.ads
-- Description     : Instantiation for float_64
-- Author          : J. Schroeer
-- Created On      : Thu Jul 31 16:46:16 1997
-- Last Modified By: 
-- Last Modified On: Thu Jul 31 16:46:48 1997
-- Update Count    : 1
-- Status          :

with Portable.Standard,
     Math.Float_64.Text_Io,
     Math.Float_64.Arrays.Types,     
     Utilities.Generics.Float_Utilities;

--package Utilities.Float_64.Utilities is new Utilities.Generics.Float_Utilities
package Utilities.Float_64.Utilities is new Generics.Float_Utilities
    (Number        => Portable.Standard.Float_64,
     Integer_Type  => Portable.Standard.Integer_32,
     Index         => Standard.Integer,
     Numbers       => Math.Float_64.Arrays.Types.Vector,
     Float_Text_Io => Math.Float_64.Text_Io);
