--                              -*- Mode: Ada -*-
-- Filename        : utilities-integer_32-block_stack.ads
-- Description     : Block stack for integer
-- Author          : J. Schroeer
-- Created On      : Wed Jul  2 13:43:18 1997
-- Last Modified By:
-- Last Modified On: Wed Jul  2 14:49:28 1997
-- Update Count    : 2
-- Status          :

with Portable.Standard, 
     Math.Integer_32.Arrays.Types,
     Utilities.Generics.Block_Stack; 

package Utilities.Integer_32.Block_Stack is new Utilities.Generics.Block_Stack
    (Element       => Portable.Standard.Integer_32,
     Index         => Standard.Integer,
     Vector        => Math.Integer_32.Arrays.Types.Vector,
     Vector_Access => Math.Integer_32.Arrays.Types.Vector_Access);

