--                              -*- Mode: Ada -*-
-- Filename        : utilities-string_block_stack.ads
-- Description     : Block stack for string_access
-- Author          : J. Schroeer
-- Created On      : Wed Jul  2 13:32:15 1997
-- Last Modified By:
-- Last Modified On: Wed Jul  2 14:41:48 1997
-- Update Count    : 2
-- Status          :

with Ada.Strings.Unbounded,
     Utilities.Generics.Block_Stack,
     Utilities.String_Vectors;

package Utilities.String_Block_Stack is new Utilities.Generics.Block_Stack
       (Element       => Ada.Strings.Unbounded.String_Access,
        Index         => Standard.Integer,
        Vector        => Utilities.String_Vectors.String_Vector,
        Vector_Access => Utilities.String_Vectors.String_Vector_Access);
