--                              -*- Mode: Ada -*-
-- Filename        : utilities-string_hash.ads
-- Description     : String hashing
-- Author          : J. Schroeer
-- Created On      : 20. April 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 
-- Status          :

  with Utilities.Generics.Hash, 
       Utilities.Prime_Numbers, 
       Utilities.String_Utilities;

  package Utilities.String_Hash is new Utilities.Generics.Hash
         (Element            => Utilities.String_Utilities.String_P,
          Key                => Utilities.String_Utilities.String_P,
          Index              => Integer,
          Is_Equal           => Utilities.String_Utilities.Is_Equal,
          Hash_Function      => Utilities.Prime_Numbers.Standard_Hash_Function,
          Deallocate_Element => Utilities.String_Utilities.Deallocate,
          Deallocate_Key     => Utilities.String_Utilities.Deallocate);
