--                              -*- Mode: Ada -*-
-- Filename        : portable-utils.adb
-- Description     : Package for utilities that differ between plattforms.
-- Author          : J. Schrer
-- Created On      : 19. September 2000
-- Last Modified By: 
-- Last Modified On: 
-- Update Count    : 1
-- Status          :

with Gnat.Traceback.Symbolic;

package body Portable.Utils is
  ----------------------------------------------------------------------------           
  function Exception_Information(E : in Ada.Exceptions.Exception_Occurrence)
           return String is
  begin
    return Ada.Exceptions.Exception_Information(E) & 
           Gnat.Traceback.Symbolic.Symbolic_Traceback(E);         
  end Exception_Information;  
  ----------------------------------------------------------------------------         
end Portable.Utils;
