--                              -*- Mode: Ada -*-
-- Filename        : opengl-float_32-arrays-matrix_operations.ads
-- Description     : Instantiation of matrix operations for glfloat
-- Author          : J. Schrer
-- Created On      : 27. Jan. 1998
-- Last Modified By:
-- Last Modified On:
-- Update Count    : 1
-- Status          :

with Opengl.Gl;
with Opengl.Float_32.Arrays.Types;
with Math.Generics.Arrays.Matrix_Operations;
  
package Opengl.Float_32.Arrays.Matrix_Operations is new 
        Math.Generics.Arrays.Matrix_Operations
       (Opengl.Gl.Glfloat,
	      Standard.Integer,
	      Opengl.Float_32.Arrays.Types.Matrix,
	      0.0,
        1.0,
	      Opengl.Gl."+",
	      Opengl.Gl."-",
	      Opengl.Gl."-",
	      Opengl.Gl."*",
	      Opengl.Gl."/");
