--                              -*- Mode: Ada -*-
-- Filename        : opengl-float_32-arrays-types.ads
-- Description     : Instantiations of types package for glfloat arrays
-- Author          : J. Schrer
-- Created On      : 27. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 1
-- Status          :

with Opengl.Gl;
with Math.Generics.Arrays.Types;

package Opengl.Float_32.Arrays.Types is new Math.Generics.Arrays.Types
       (Element => Opengl.Gl.Glfloat,
        Index   => Standard.Integer,
        Zero    => 0.0);

