--                              -*- Mode: Ada -*-
-- Filename        : opengl-float_32-arrays-vector_operations.ads
-- Description     : Instantiation of vector operations for glfloat
-- Author          : J. Schrer
-- Created On      : 27. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 1
-- Status          :

with Opengl.Gl;
with Opengl.Float_32.Elementary_Functions;
with Opengl.Float_32.Arrays.Types;
with Math.Generics.Arrays.Vector_Operations;

package Opengl.Float_32.Arrays.Vector_Operations is new
        Math.Generics.Arrays.Vector_Operations
	     (Opengl.Gl.Glfloat,
	      Standard.Integer,
	      Opengl.Float_32.Arrays.Types.Vector,
            Opengl.Float_32.Arrays.Types.Row_Vector,
	      0.0,
	      Opengl.Gl."+",
	      Opengl.Gl."-",
	      Opengl.Gl."-",
	      Opengl.Gl."*",
	      Opengl.Gl."/",
	      Opengl.Float_32.Elementary_Functions.Sqrt);

