--                              -*- Mode: Ada -*-
-- Filename        : math-float_32-arrays-matrix_operations.ads
-- Description     : Instantiation of matrix operations for float_32
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:20:28 1997
-- Last Modified By:
-- Last Modified On: Tue May 27 10:54:07 1997
-- Update Count    : 10
-- Status          :

with Portable.Standard;
with Math.Float_32.Arrays.Types;
with Math.Generics.Arrays.Matrix_Operations;
  
package Math.Float_32.Arrays.Matrix_Operations is new 
        Math.Generics.Arrays.Matrix_Operations
       (Portable.Standard.Float_32,
	      Standard.Integer,
	      Math.Float_32.Arrays.Types.Matrix,
	      0.0,
        1.0,
	      Portable.Standard."+",
	      Portable.Standard."-",
	      Portable.Standard."-",
	      Portable.Standard."*",
	      Portable.Standard."/");
