--                              -*- Mode: Ada -*-
-- Filename        : math-generics.ads
-- Description     : Root package for all generic math utilities
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:10:02 1997
-- Last Modified By: 
-- Last Modified On: Wed May 21 19:10:52 1997
-- Update Count    : 1
-- Status          :

package Math.Generics is

  generic
    type Float_Type is digits <>;
  function fmod (Left, Right : in Float_Type) return Float_Type;

  pragma inline(fmod);

end Math.Generics;
