--                              -*- Mode: Ada -*-
-- Filename        : utilities.integer_32-sorting_and_searching.ads
-- Description     : Quicksort and binary search for integer_32 arrays
-- Author          : J. Schroeer
-- Created On      : Wed Jul  2 13:30:23 1997
-- Last Modified By:
-- Last Modified On: Wed Jul  2 14:50:10 1997
-- Update Count    : 3
-- Status          :

with Portable.Standard, 
     Math.Integer_32.Arrays.Types, 
     Utilities.Generics.Sorting_And_Searching;

package Utilities.Integer_32.Sorting_And_Searching is new
        Utilities.Generics.Sorting_And_Searching
       (Element => Portable.Standard.Integer_32,
        Index   => Standard.Integer,
        Vector  => Math.Integer_32.Arrays.Types.Vector,
        "<"     => Portable.Standard."<",
        "<="    => Portable.Standard."<=");
