--                              -*- Mode: Ada -*-
-- Filename        : math-float_32-arrays-vector_operations.ads
-- Description     : Instantiation of vector operations for float_32
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:20:28 1997
-- Last Modified By:
-- Last Modified On: Tue May 27 10:54:07 1997
-- Update Count    : 10
-- Status          :

with Portable.Standard;
with Math.Float_32.Elementary_Functions;
with Math.Float_32.Arrays.Types;
with Math.Generics.Arrays.Vector_Operations;

package Math.Float_32.Arrays.Vector_Operations is new
        Math.Generics.Arrays.Vector_Operations
	     (Portable.Standard.Float_32,
	      Standard.Integer,
	      Math.Float_32.Arrays.Types.Vector,
            Math.Float_32.Arrays.Types.Row_Vector,
	      0.0,
	      Portable.Standard."+",
	      Portable.Standard."-",
	      Portable.Standard."-",
	      Portable.Standard."*",
	      Portable.Standard."/",
	      Math.Float_32.Elementary_Functions.Sqrt);

