--                              -*- Mode: Ada -*-
-- Filename        : opengl-float_32-arrays-io.ads
-- Description     : Instantiations of io package for glfloat arrays
-- Author          : J. Schrer
-- Created On      : 27. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 1
-- Status          :

with Opengl.Gl;
with Opengl.Float_32.Arrays.Types;
with Math.Generics.Arrays.Io;

package Opengl.Float_32.Arrays.Io is new Math.Generics.Arrays.Io
       (Element => Opengl.Gl.Glfloat,
        Index   => Standard.Integer,
        Zero    => 0.0,
        Put     => Opengl.Float_32.Put,
        Types   => Opengl.Float_32.Arrays.Types);
