--                              -*- Mode: Ada -*-
-- Filename        : opengl.ads
-- Description     : Parent package for opengl-bindings and 
--                   higher level packages based on Opengl
-- Author          : J. Schrer
-- Created On      : 17 Nov. 1997
-- Last Modified By: J. Schrer
-- Last Modified On:
-- Update Count    : 1
-- Status          :

with Ada.Text_Io; use Ada.Text_Io;

package Opengl is
  
  -- For Vector_2d, Vector_3d indices
  
  X : constant := 1;
  Y : constant := 2;
  Z : constant := 3;
  
  Opengl_Error : exception;
  
  -- Is raised when some original exceptions come up.

  Log_File : aliased Ada.Text_Io.File_Type;

end Opengl;

